org.apache.flume.sink.solr.morphline

## Class MorphlineInterceptor

- java.lang.Object
- - org.apache.flume.sink.solr.morphline.MorphlineInterceptor

- All Implemented Interfaces:
    Interceptor

      public class MorphlineInterceptor
      extends Object
      implements Interceptor

  Flume Interceptor that executes a morphline on events that are intercepted. Currently, there is a restriction in that the morphline must not generate more than one output record for each input event.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MorphlineInterceptor.Builder` Builder implementations MUST have a public no-arg constructor

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MorphlineInterceptor(Context context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Perform any closing / shutdown needed by the Interceptor.
    `void` | `initialize()` Any initialization / startup needed by the Interceptor.
    `Event` | `intercept(Event event)` Interception of a single `Event`.
    `List<Event>` | `intercept(List<Event> events)` Interception of a batch of events.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MorphlineInterceptor

          protected MorphlineInterceptor(Context context)

  - ### Method Detail

    - #### initialize

          public void initialize()

      Description copied from interface: `Interceptor`
      Any initialization / startup needed by the Interceptor.
      Specified by:
        `initialize` in interface `Interceptor`

    - #### close

          public void close()

      Description copied from interface: `Interceptor`
      Perform any closing / shutdown needed by the Interceptor.
      Specified by:
        `close` in interface `Interceptor`

    - #### intercept

          public List<Event> intercept(List<Event> events)

      Description copied from interface: `Interceptor`
      Interception of a batch of events.
      Specified by:
        `intercept` in interface `Interceptor`
      Parameters:
        `events` - Input list of events
      Returns:
        Output list of events. The size of output list MUST NOT BE GREATER than the size of the input list (i.e. transformation and removal ONLY). Also, this method MUST NOT return `null`. If all events are dropped, then an empty List is returned.

    - #### intercept

          public Event intercept(Event event)

      Description copied from interface: `Interceptor`
      Interception of a single `Event`.
      Specified by:
        `intercept` in interface `Interceptor`
      Parameters:
        `event` - Event to be intercepted
      Returns:
        Original or modified event, or `null` if the Event is to be dropped (i.e. filtered out).

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.